window.onload = init;

function init () {

    var button = document.getElementById("calcButton");
    button.onclick = handleButtonClick;
}
function handleButtonClick () {
    
    var mainInput  = document.getElementById("numInput").value;
    var message = document.getElementById("message");
    message.innerHTML = "";
    
    try { 
        if(mainInput == "")  throw "empty!";
        if(isNaN(mainInput)) throw "not a number!";
        mainInput = Number(mainInput);
    }
    catch(err) {
        message.innerHTML = "Input is " + err;
    }
    
    var operators = {
        yards: mainInput*1.0936,
        feets: mainInput*3.2808,
        inches: mainInput*39.370,
        miles: mainInput*0.0062137
    }

    document.getElementById("output1").value = operators.yards;
    document.getElementById("output2").value = operators.feets;
    document.getElementById("output3").value = operators.inches;
    document.getElementById("output4").value = operators.miles;
}